The Employee Portal Setup Card

Before you start using Employee Portal, you must enter certain basic setup information that applies to your portal. You must start by filling in the Employee Portal Setup Card. When you fill in the Employee Portal Card, the program will make the predefined actions available to you.

When you add a Web Part to your portal page, you need to configure the Web Part by defining which data the Web Part will request from Microsoft Dynamics NAV. You do this in the custom property fields in the SharePoint tool pane.

The custom properties are the properties that have been created to introduce Employee Portal functionality to the Web Part. The custom property fields are the applying fields.

The custom property fields are specific for Microsoft Dynamics NAV and the captions for these fields need to be defined in Microsoft Dynamics NAV.

On the Configuration Tool Pane tab, you specify the captions for the configuration of Card, List and Header-Line Web Parts.

On the Search Tool Pane tab you specify the captions for the configuration of Search parts.

To enter this information, open the [image] Employee Portal Setup Card window. Fill in the fields according to these guidelines:

Field | Comments
Configuration Tool Pane Tab: |
Config Tool Pane Caption | Enter the caption you want to show in the tool pane as the heading of the Employee Portal custom property area for card, list and header + line Web Parts. You can, for example, enter Employee Portal.
Config TP WP Request Caption | Enter the caption you want to show as the heading of the field in which you can select the Web Part request you want the Web Part to use. You can, for example, enter Web Part Request.
Config TP Initial Req. Caption | Enter the caption you want to show as the heading of the field in which you can select the Web Part to perform an initial request. You can, for example, enter No Initial Request.
Config TP Group Caption | Enter the caption you want to show as the heading of the field in which you can select the group of request. You can, for example, enter Group.
Search Tool Pane Tab: |
Search Tool Pane Caption | Enter the caption you want to show in the tool pane as the heading of the Employee Portal custom property area for Search Web Parts. You can, for example, enter Employee Portal.
Search Config Table Caption | Enter the caption you want to show as the heading of the field in which you can select the table that the search will run through. You can, for example, enter Table.
Search TP All Tables Caption | Enter the caption you want to show in the field in which you select the table as an option to search through all tables. You can, for example, enter All Tables.
Search Limit | Enter the maximum number of records you want the program to list on each tab in a search result.

Related Topics

Captions in Employee Portal

Creating Web Parts for Employee Portal

Defining Search Configurations


The EP Appln. Server Setup Card

Microsoft Dynamics NAV Application Server is used to handle communication between Microsoft Dynamics NAV and SharePoint. You must specify both encryption and request setup before communication can begin.

You must create an application server card for each application server that you set up.

Open the [image] EP Appln. Server Setup Card and fill in the fields according to these guidelines:

Field | Comments
General tab |
Code | Enter the code of the application server. The code must be equal to the start up parameter for the application server.
Description | Enter a description of what the application server does.
Use Encryption | Place a checkmark in this field to activate encryption of the data sent from Microsoft Dynamics NAV to the front end. The corresponding values have to be set in the front end in the Web.config file.
Use Compression | Place a checkmark in this field to activate compression of the data sent from Microsoft Dynamics NAV to the front end. The corresponding values have to be set in the front end in the Web.config file.
Frontend tab |
Frontend Processing | Enter a check mark in this field to make this application server handle the communication between Microsoft Dynamics NAV and the front end.
Request Queue | Enter the label of the message queue handling the messages coming into Microsoft Dynamics NAV.
Reply Queue | Enter the label of the message queue handling the messages going out of Microsoft Dynamics NAV.
Trusted tab |
Trusting Operations | Place a checkmark to make this application server handle the trust requests from the front end.
Trust. Request Queue | Enter the label of the message queue handling the messages coming into Microsoft Dynamics NAV from trusted partners.
Trust. Reply Queue | Enter the label of the message queue handling the messages going out of Microsoft Dynamics NAV to trusted partners.

More Information

Read the manual "Installation & System Management: Microsoft Dynamics NAV Application Server" to learn more about Microsoft Dynamics NAV Application Server.

Read the manual "Installation & System Management: Microsoft Dynamics NAV Employee Portal" to learn more about encrypting data.


Captions in Employee Portal

In Employee Portal you must define captions for text you need on your Web Parts for navigational or informational purposes that is not stored as application data. It is important that you define a caption for all caption elements. Otherwise Navison will return an error to the portal page.

You have to define captions for the following elements:

  • EP Setup

  • Groups

  • Web Part Requests

  • Tabs

  • Actions

Before you can add a caption to an element you have to define the caption in the caption list of the element.

The custom properties mentioned in the following table are properties that developers have created to introduce Employee Portal functionality or behavior to the Web Part. The custom property fields are the applying fields.

Captions | The caption will appear as:
EP Setup | Heading to a custom property field in the SharePoint tool pane.
Group | An option in the custom property field in which you can select the group you want to select a Web Part Request from.
Web Part Request | An options in the custom property field from which you can select a Web Part Request.
Tab | The name on the tab in your Web Part.
Action | The name of the action on the button or link depending on which HTML layout you have selected.
If you are designing a Web Part that will be used in different languages by different users, you must give the caption a definition in each language. You can read more about this in Multilanguage in Employee Portal.

Related Topics

The Employee Portal Setup Card

Defining Captions for Groups

Defining Captions for Web Part Request Templates

Defining Captions for Tabs

Defining Captions for Actions


Users and Groups

In Employee Portal you can define different groups of Web Part Requests. This means that you can set up several types of portal users to browse and do business activities in your portal. Different users can have different permissions to perform different activities, such as business, maintenance or administration activities.

Employee Portal allows you to create users, assign them to groups and modify the rights of these users from within Microsoft Dynamics NAV.

In order to create portal users, you must give them an identity within Microsoft Dynamics NAV that allows them to log on to your portal. When users are working on your portal, they are able to perform tasks in accordance with the permissions that they have been granted. You can create your own groups to fit your specific needs. It is up to you to decide which roles you would like your Web portal users to have.

Before you can create Employee Portal users in Microsoft Dynamics NAV, you have to create and configure the users as Windows users and as SharePoint Server users.

Groups

A group is a collection of Web Part Requests. Web Part Requests are based on Microsoft Dynamics NAV information and/or functionality that helps the user perform a task. You can combine the Web Part Requests in any way that meets your needs.

You can choose to set up a few general groups, each containing all the permissions for one user type, or you can set up a group for each task or part of a task that users will perform. Then you can customize each user's rights and possibilities.

Users

Users can be assigned to a group to get access to the Web Part Requests that are assigned to that group.

You can define in what language the data will be presented to the user on your portal page. All other settings are inherited from the group.

Related Topics

Creating Employee Portal Users

Creating Employee Portal Groups

Web Part Requests


Creating Employee Portal Users

Once an Employee Portal group has been set up, you can add users to the group.

To Create a User

  1. Check that the user has been created in SharePoint.

  2. Open the [image] EP Users window.

  3. In the User ID field enter the ID of the user. Make sure that the ID is identical with the one defined for the user in SharePoint.

  4. In the Language ID field, enter the unique Windows language ID to identify the language of the user.

Related Topics

Users and Groups

Creating Employee Portal Groups

Adding Employee Portal Users to Groups

Assigning Search Configurations to Users


Creating Employee Portal Groups

A group is a collection of Web Part Requests. Web Part Requests are based on Microsoft Dynamics NAV information and/or functionality that helps the user perform a task. You can combine the Web Part Requests in a group in any way that meets your needs.

You can choose to set up a few general groups, each containing all the permissions for one user type or you can set up a group for each task or part of a task that users will perform. Then you can customize each user's rights and possibilities.

After you have created a group, you can assign users to the group to give them access to the Web Part Requests that are assigned to that user group.

To Create a User Group

  1. Open the [image] EP Group Card window.

  2. Press F3 to set up a new user group.

  3. Fill in the fields. For Help about a specific field, click the field and press F1.

Related Topics

Users and Groups

Creating Employee Portal Users

Defining Captions for Groups

Adding Employee Portal Users to Groups


Defining Captions for Groups

In Employee Portal you must define captions for the text in your Web part that is not stored as application data. Examples of such texts are the headline of the Web Part, the name of the tabs and the names of the actions.

When you create a new group you must define a caption for the group. The caption will be an option in the custom property field in the Tool Pane in SharePoint that lists the groups from which you can select a Web part request for your Web Part.

But first you must make sure that the following task is completed:

Precondition

  • Creating Employee Portal Groups

You can get an overview of all the tasks you need to complete to create a Web Part here: Creating Web Parts for Employee Portal.

To Create a New Caption for a Group

  1. Open the [image] EP Group Captions window.

  2. Click Caption, Create New. The EP Language List appears.

  2. Select the language you want to make a caption for. Click OK.

  3. In the caption line you just created, enter your new caption in the Caption field. Close the window.

To Add a Caption to a Group

  1. Open the [image] EP Group Card window.

  2. Select the group you want to make a caption for.

  3. In the Caption field, click the AssistButton to open the EP WP Group Caption List window.

  4. Select the caption you have created for your group. Click OK.

If you are designing a Web Part that will be used in different languages by different users, you must give the caption a definition in each language. You can read more about this in Multilanguage in Employee Portal.

Related Topics

Captions in Employee Portal

Creating Employee Portal Groups

Users and User Groups

Adding Employee Portal Users to Groups

Multilanguage in Employee Portal

Creating Web Parts for Employee Portal


Adding Employee Portal Users to Groups

Once an Employee Portal group has been set up, you can add users to the group.

To Add a User to a Group

  1. Open the [image] EP Group Card window.

  2. Select the group to which you want to add a user.

  3. Click EP Groups, User. The EP User per Group List window appears.

  4. Select the user you want to add to the group. Close the window.

Related Topics

Creating Employee Portal Users

Creating Employee Portal Groups

Users and User Groups


Creating Web Parts for Employee Portal

After you have installed Microsoft Dynamics NAV Employee Portal, it is time to define the Web Parts that will present the Microsoft Dynamics NAV data in Microsoft SharePoint Web Parts. This is done by creating Web Part Requests in Microsoft Dynamics NAV. Web Parts Requests defines the data the Web Part will request from Microsoft Dynamics NAV and how it will be presented in the Web Part.

Defining a Web Part Request, involves several tasks. The tasks you need to go through to a fully functional Web Part Request is listed below with a link to the topics that will give you a detailed description of the task:

Topic

Comment

Creating Web Part Request Templates

When you design a template, you decide what properties (attributes or characteristics) you would like the Web Parts based on that template to have. You decide the layout of each Web Part and what types of information will be included. You can then create many Web Parts that are based on the same template but contain different information.

Creating Groups

A group is a set of related Web Part Requests that is available on your Employee Portal to the users you have assigned to this group.

You can choose to set up a few general groups, each containing all the permissions for one user type, or you can set up a group for each task or part of a task that users will perform. Then you can customize each user's rights and possibilities.

Creating Web Part Requests

A Web Part Request defines the content and behavior of the Web Part it is assigned to.

Once you have set up Web templates for your Web site, you are ready to create the actual Web pages for the portal page. This topic describes how.

Each of your Web Part Requests is based on a Web Part Request template. This also means that you can create a number of Web Part Requests based on the same Web Part Request template. These Web pages will make up your Web portal.

Defining Tabs

Define tabs for your Web Part Requests. You can define multiple tabs for the same Web Part Request to group related fields.

Adding Fields to Web Parts

Define which fields from the selected tables you want to be available on the Web Part and their properties.

Creating Actions

By using actions in your Web Parts, you give your users the possibility to interact from a Web Part to Microsoft Dynamics NAV.

You can for example define an action to create a new line in a header + line Web Part or you can define an action in a card Web Part to make the data editable.

This topic describes how to define an action that issues a command inside the Web Part.

Connecting Web Parts

Actions can also be used to connect Web Part.

When you have created two or more Web Parts, it can be use full to make a connection between the Web Parts by using actions. This way you can, for example, make a connection from a list Web Part to a card Web Part to show details of the elements in the list Web Part in the card Web Part.

Defining Filters for Web Part Request

You can specify what records are included in the Web Part by setting filters.

Creating Lookups

You can create lookups from a field in a Web Part to a field in another table to copy data from that table.

Related Topics

Multilanguage in Employee Portal

Users and Groups

Web Part Requests


Web Part Requests

This overview explains what a Web Part Request is. It describes the relationship between a Web Part Request template and a Web Part Request in Microsoft Dynamics NAV. It also describes the relationship between a Web Part Request in Microsoft Dynamics NAV, the Web Part Request properties and the Web Part in SharePoint.

You define the Employee Portal Web Parts you want to make available to your users in SharePoint by creating Web Part Request in Microsoft Dynamics NAV. A Web Part Request defines the format of the Web Part, the data that it will present, the basic properties of the data and the control elements that will be used for interaction and to navigate between Web Parts. In other words, it defines the data the Web Part will request from Microsoft Dynamics NAV and how it will be presented in the Web Part.

Each Web Part Request is based on a Web Part Request template. This means that you can create different Web Part Requests for different user groups but based on the same Web template. These Web Part Requests will make up your Employee Portal.

You can define Web Part Requests for different purposes. You can choose from the following three types:

  • List (to show a list of items)

  • Card (to show a record in a card)

  • Header + Line (to show a header with attached lines)

In the Web Part Request table, you can find a fourth type of Web Part requests called System. The System Web Part Request is defined by the program to be used for certain actions. You can read more about this type of Web Part Request in Creating an Action.

Web Part Request Templates

A template in Employee Portal is similar to a template in a word processing application. It is a document that contains formatting and, sometimes, generic text or other content. However, actions for interaction and navigation remain to be filled in on the individual Web Part Request. You can use one Web Part Request template as a model for creating many Web Part Requests.

When you design a template, you decide what properties (attributes or characteristics) you would like the parts based on that template to have. You decide the layout of each Web Part and what types of information will be included. You can then create many Web Parts that are based on the same template but contain different information.

For example, if you create a Web Part of the type List, you can use the same template as basic for many list Web Part Requests. You can then add characteristics to the Web Part Request to change the list Web Part request to suit your needs. This can be done by adding or removing fields and tabs and by defining actions and lookups.

Web Part Requests

Once you have set up Web Part Request templates for your portal page, you are ready to create the individual Web Part Request that will make up your Web Part. A Web Part Request must be assigned to a user group to be made available to the users assigned to the group.

When you select the template that you want to build your new Web Part request on, the properties from the Web Part Request template will be copied to the new Web Part Request. Some of the properties will have a default value from the Web Part Request template, but you can change the value. Define control elements in the Web Part Request such as actions buttons and links to allow interaction and navigation in the Web Parts. Once you have filled in values for the properties and the controls, the Web Part Request is complete and will be available on your portal page.

Multilanguage in Web Part Requests

The Web Part Requests are multilanguage enabled as the rest of Microsoft Dynamics NAV. The multilanguage features make it possible for you to offer the texts displayed by the Employee Portal in captions in several languages, on Web Part titles, tabs, actions and so on.


Creating Web Part Request Templates

A template in Employee Portal is an instance of a Web Part Request containing the basic definitions of a Web Part Request. It can be used as a model for creating many Web Part Request. It contains formatting of tables and tabs and, sometimes, lookups and sort keys. However, actions for interaction and navigation remain to be filled in on the individual Web Part Request.

Web Part templates are also used to define actions. If this is the case the Web Part type is System.

You must select the type of the Web Part Request to define how the data is presented in the Web Part.

The types are:

  • List (to show a list of records)

  • Card (to show a record in a card)

  • Header + Line (to show a header with attached lines)

  • System (for actions). These Web Part Requests are predefined by the program and can only be used for actions. You can read more about actions in Creating an Action.

To Create a Web Part Request Template

  1. Open the [image] EP WP Request Template Card window, and press F3 to create a blank Web Part Request. Fill in all the fields in the header of the Web Part Request. For Help about a specific field, click the field and press F1.

  2. In the Table No. field, select the relevant table.

  3. In the Head or Line field define to which section the table is assigned. If the Web Part Request type is Card, you must select Head. If the Web Part Request type is List, you must select Line. If the Web Part Request type is Header + Line you must assign two tables, one for the header and one for the lines.

If you want to create a Header + Line Web Part, you must create one table for the lines and one table for the header.

Related Topics

Web Part Requests

Creating Web Parts for Employee Portal

Defining Captions for Web Part Request Templates

Creating Web Part Requests


Defining Captions for Web Part Request Templates

When you create a Web Part Request you must define captions for the text in your Web Part that is not stored as application data. Examples of such texts are the headline of the Web Part, the name of the tabs and the names of the actions.

When you define a caption for a Web Part Request template, the caption will be inherited by the Web Part Request based on the template. But you can change the caption inherited, by following the same steps as listed below.

The captions of the Web Part Requests will be options in the field in the Tool Pane in SharePoint from which you can select a Web Part Request for your Web Part.

To Create a New Caption for a Web Part Requests Template

  1. Open the [image] EP WP Request Captions window.

  2. Click Caption, Create New. The EP Language List appears.

  2. Select the language you want to make a caption for. Click OK.

  3. In the caption line you just created, enter your new caption in the Caption field. Close the window.

If you are designing a Web Part that will be used in different languages by different users, you must give the caption a definition in each language. You can read more about this in Multilanguage in Employee Portal.

To Add a New Caption to a Web Part Requests Template

  1. Open the [image] EP Web Part Request Card window.

  2. Select the Web Part Request Template you want to make a caption for.

  3. In the Caption field, click the AssistButton to open the EP WP Request Caption List window.

  4. Select the caption you have created for your Web part requests template. Click OK.

Related Topics

Captions in Employee Portal

Multilanguage in Employee Portal.

Creating Web Part Request Templates

Creating Web Part Requests


Creating Web Part Requests

After you have created your Web Part Request templates, you can use the template for the Web Part Requests you want to assign to your user groups. You can also create your own Web Part Request without using a template.

You have to select the type of the Web Part Request to define how the data is presented in the Web Part.

The types are:

List (to show a list of records)

Card (to show a record in a card)

Header + Line (to show a header with attached lines)

But first you must make sure that the following tasks are completed for the Web Part Request that you want to define a tab for:

Preconditions

  • Creating Web Part Request Templates

  • Creating Employee Portal Groups

You can get an overview of all the tasks you need to complete to create a Web Part here: Creating Web Parts for Employee Portal.

To Create a Web Part Request

  1. Open the EP Group Card window.

  2. In the lines, press F3 to add a new Web Part Request.

  3. In the Code field, select the code of the Web Part request template you want to base your Web Part Request on. Click Web Part Request, Card. The EP WP Request Card window appears.

  4. Fill in all the fields in the header of the Web Part Request. The Web Part Request has inherited most information including the tables from the Web Part Request template you have based it on.

You have now defined the basic configuration of the Web Part Request. To finalize the configuration of the Web Part Request you must define tabs and action, as well as customizing it to meet your needs by defining connections between Web Parts, lookups and filters.

Related Topics

Web Part Requests

Creating Web Part Request Templates

Defining Tabs

Creating Actions


Defining Tabs

A Tab control is like the dividers in a notebook or the labels on a group of file folders. By using a Tab control, you can define multiple pages for the same Web Part Request to group related fields.

But first you must make sure that the following tasks are completed for the Web Part Request that you want to define a tab for:

Preconditions

  • Creating Web Part Request Templates

  • Creating Employee Portal Groups

  • Creating Web Part Requests

You can get an overview of all the tasks you need to complete to create a Web Part here: Creating Web Parts for Employee Portal.

To Define a Tab for a Web Part.

  1. Open the EP Web Part Request Card window.

  2. Select the Web Part Request you want to set up a tab for.

  3. Click Table, Card. The EP WP Table Card window is opened.

  4. Create a line for the new tab. Fill in the fields. For Help about a specific field, click the field and press F1.

Note

For each Web Part Request, at least one tab must be set up. Otherwise Microsoft Dynamics NAV stops the processing with an appropriate message in the event log after receiving a request from the portal page.

After you have defined a tab, you can add fields to the tab and define lookups to list Web Parts from the fields on the tab.

Related Topics

Adding Fields to Web Parts

Creating Lookups

Defining Sort Keys


Defining Captions for Tabs

When you create a Web Part Request you must define captions for the text in your Web Part that is not stored as application data. Examples of such texts are the headline of the Web Part, the names of the tabs and the text in the actions.

When you create an action that will show in a Web Part you must define a caption for the action. The caption will show as a link or on a button in the Web Part depending on the HTML layout you have defined for your action.

To Create a New Caption for a Tab

  1. Open the [image] EP WP Table Tab Captions window.

  2. Click Caption, Create New. The EP Language List appears.

  2. Select the language you want to make a caption for. Click OK.

  3. In the caption line you just created, enter your new caption in the Caption field. Close the window.

If you are designing a Web Part that will be used in different languages by different users, you must give the caption a definition in each language. You can read more about this in Multilanguage in Employee Portal.

To Add a Caption to an Tab

  1. Open the [image] EP Web Part Request Card window.

  2. Select the Web Part Request you want to define a caption for.

  3. Select the relevant table.

  4. Click Table, Card. The Table window opens.

  5. Select the tab you want to define a caption for.

  6. In the Caption field, click the AssistButton to open the EP WP Tab Caption List window.

  7. Select the caption you have created for your tab. Click OK.

Related Topics

Captions in Employee Portal

Multilanguage in Employee Portal


Adding Fields to Web Parts

When you have created your Web Part Request, you can show any field from the table(s) you have selected for your Web Part Request in your Web Part.

But first you must make sure that the following tasks are completed for the Web Part Request that you want to add a field to:

Preconditions

  • Creating Web Part Request Templates

  • Creating Employee Portal Groups

  • Creating Web Part Requests

  • Defining Tabs

You can get an overview of all the tasks you need to complete to create a Web Part here: Creating Web Parts for Employee Portal.

To Add a Field to a Web Part

  1. Open the EP WP Table Card window.

  2. Select the relevant tab. Click Tab. The EP WP Table Tab Card window appears.

  3. Create a line for each field that you want to show in your Web Part.

  4. In the Field No. field, enter the number of the field you want to add to the Web Part. Fill in the remaining fields. For Help about a specific field, click the field and press F1.

Note

For each Web Part Request, at least one field must be added for any given tab. Otherwise Microsoft Dynamics NAV stops the processing with an appropriate message on the portal page.

Related Topics

Creating Lookups

Defining Sort Keys


Creating Actions

Actions in Employee Portal are used to issue commands from your Web parts. You can, for example, define an action to create a new line in a header + line Web Part or you can define an action from a list Web Part to open the record in a card Web Part. By using actions in your Web Parts, your users can interact with the data and to navigate between Web Parts.

This topic describes how to define an action that issues a command inside the Web Part. You can read more about defining actions for connecting Web Parts here: Connecting Web Parts.

But before you define an action you must make sure that the following tasks are completed for the Web Part Request that you want to create an action for:

Preconditions

  • Creating Web Part Request Templates

  • Creating Employee Portal Groups

  • Creating Web Part Requests

You can get an overview of the all tasks you need to complete to create a Web Part here: Creating Web Parts for Employee Portal.

To Create an Action

  1. Open the EP Web Part Request Card window.

  2. Select the Web Part Request you want to define an action for.

  3. Select the relevant table.

  4. Click Table, Card. The Table window is opened.

  5. Click Table, Actions. The EP WP Table Action List window is opened. Click F3 to create a new line.

  6. In the Type field select the relevant action. In the Target field select Current. Fill in the remaining fields. For Help about a specific field, click the field and press F1.

Images in Actions

When you create you actions for card Web Part, you can align with the SharePoint style by defining an image for the action. For this you can use the images available in SharePoint for you to point to and use in you Web Parts.

Related Topics

Adding SharePoint Images to Actions

Defining Captions for Actions

Running Reports from Web Parts

Connecting Web Parts


Defining Captions for Actions

When you create a Web Part Request you must define captions for the text in your Web Part that is not stored as application data. Examples of such texts are the headline of the Web Part, the names of the tabs and the text in the actions.

When you create an action that will show in a Web Part you must define a caption for the action. The caption will show as a link or on a button in the Web Part depending on what HTML layout you have defined for your action.

To Create a New Caption for an Action

  1. Open the [image] EP WP Action Captions window.

  2. Click Caption, Create New. The EP Language List appears.

  3. Select the language you want to make a caption for. Click OK.

  4. In the caption line you just created, enter your new caption in the Caption field. Close the window.

If you are designing a Web Part that will be used in different languages by different users, you must give the caption a definition in each language. You can read more about this in Multilanguage in Employee Portal.

To Add a Caption to an Action

  1. Open the [image] EP Web Part Request Card window.

  2. Select the Web Part Request you want to define a caption for.

  3. Select the relevant table.

  4. Click Table, Card. The Table window opens.

  5. Click Table, Actions. The EP WP Table Action List window opens. Select the action you want to define a caption for.

  6. In the Caption field, click the AssistButton to open the EP WP Action Caption List window.

  7. Select the caption you have created for your Web part requests template. Click OK.

Related Topics

Captions in Employee Portal

Creating Actions

Multilanguage in Employee Portal


Adding SharePoint Images to Actions

When you create actions for Web Part Requests, you can make your action look like SharePoint actions by defining an image for the action. For this you can use the images available in SharePoint to point to and use in you Web Parts.

But before you add an image to an action you must make sure that the following tasks are completed for the Web Part Request that you want to ad a image to:

Preconditions

  • Creating Web Part Request Templates

  • Creating Employee Portal Groups

  • Creating Web Part Requests

  • Creating Actions

You can get an overview of all the tasks you need to complete to create a Web Part here: Creating Web Parts for Employee Portal.

To Point to an Image

  1. Open the EP SharePoint Image Path List window.

  2. In the Code field enter a code for your image path.

  3. In the Path field, enter the SharePoint path where the image you want to point to is stored.

To Add an Image to an Action

  1. Open the EP Web Part Request Card window.

  2. Select the Web Part Request you want to define an image for.

  3. Select the relevant table.

  4. Click Table, Card. The Table window appears.

  5. Click Table, Actions. The EP WP Table Action List window is opened. Select the action you want to add an image to.

  6. In the Picture Code field select the code for the image that you want to add to the action.

Related Topics

Creating Actions

Creating Web Parts for Employee Portal

Web Part Requests


Defining Filters for Web Part Requests

When you have created a Web Part Request, you can define a filter to select specific data to show in the Web Part. This could, for example, be in a list Web Part containing your customers where you define a filter to only include customers from a specific country/region.

But before you define a filter you must make sure that the following tasks are completed for the Web Part Request that you want to create a filter for:

Preconditions

  • Creating Web Part Request Templates

  • Creating Employee Portal Groups

  • Creating Web Part Requests

You can get an overview of all the tasks you need to complete to create a Web Part here: Creating Web Parts for Employee Portal.

Add Filters to Web Part Requests

  1. Open the EP WP Table Card window.

  2. Select the table you want filter on.

  3. Click Table, Standardfilter, Fields. The EP WP Table Filter Field window appears.

  4. In the Filter Field field, enter number of the field you want to filter on.

  5. Fill in the rest of the fields. For Help about a specific field, click the field and press F1.

Note

The filter will not be effective before the window is closed.

Related Topics

Creating Web Parts for Employee Portal

Web Part Requests

Defining Captions for Tabs


Defining Sort Keys

When you have created a Web Part Request for a list Web Part, you can define sort keys to control in which order the records are listed.

To Define a Sort Key for a Web Part.

  1. Open the [image] EP Web Part Request Card window.

  2. Select the Web Part Request you want to set up a tab for.

  3. Click Table, Card. The EP WP Table Card window is opened.

  4. Click Tab, Card. The EP WP Tab Card window is opened.

  5. Click Field, Sort Keys. The EP WP Table Sort Key List window is opened.

  6. Click Sort Key, Get Key. The Keys for Table Customer window is opened.

  7. Select a sort key. The options in the Keys for Table Customer window is defined by the system and can not be changes. Close the windows.

Note

Sort keys have no effect on card or header + line Web part requests.

Related Topics

Adding Fields to Web Parts


Connecting Web Parts

When you have created a list or a header + line Web Part, it can be useful to present the details of a record in the lines, in a card Web part. You can do that by using action to connect the two Web Parts. This way you can for example make a connection from a list of customers to a customer card that will give you the details about the selected customer.

But first you must make sure that the following tasks are completed for both Web Part Requests that you want to make a connection between:

Preconditions

  • Creating Web Part Request Templates

  • Creating Employee Portal Groups

  • Creating Web Part Requests

  • Defining Tabs

  • Adding Fields to Web Parts

You can get an overview of all the tasks you need to complete to create a Web Part here: Creating Web Parts for Employee Portal.

To Connect Two Web Parts

  1. Open the EP Web Part Request Card window.

  2. Select the Web Part Request you want to make a connection from. Select the relevant table. If the Web Part Request is of the type header + line, it must be the table defined for the lines.

  3. Click Table, Card. The EP WP Table Card window opens.

  4. Click Table, Actions. The EP WP Table Action window opens. Click F3 to create a new line.

  5. In the Type field select Connect to another WP Request. In the Target WP Request field select Other. Fill in the remaining fields. For Help about a specific field, click the field and press F1.

  6. Click Actions, Connection between WP Requests, Fields. The EP WP Action Filter Field List window opens.

  7. Fill in the fields. Close the window.

Now you must go to your Web Parts on your portal page.

  1. Click Modify Shared Page, Design This Page.

  2. Click the little triangle in the upper right corner of the Web Part you want to make a connection from. Click Connections, Provide Parameters To and select the Web Part you want to connect to. The connection is now established.

Related Topics

Creating an Action

Multilanguage in Employee Portal


Creating Lookups

In Microsoft Dynamics NAV, you can copy data from one table to another by creating a lookup in a field. You can do the same in your Web Parts in Employee Portal.

But first you must make sure that the following tasks are completed for both the Web Part Request that you want to create a lookup from and the Web Part Request that you are targeting:

Preconditions

  • Creating Web Part Request Templates

  • Creating Employee Portal Groups

  • Creating Web Part Requests

  • Defining Tabs

  • Adding Fields to Web Parts

You can get an overview of all the tasks you need to complete to create a Web Part here: Creating Web Parts for Employee Portal.

To Create a Lookup for a Field

  1. Open the [image] EP Web Part Request Card window.

  2. Select the Web Part Request you want to make the look up from. Select the relevant table.

  3. Click Table, Card. The Table window is opened. Select the relevant tab.

  4. Click Tab, Card. The EP WP Table Tab window appears. Select the field from which you want to make a lookup.

  5. Click Field, Lookups. The EP WP Field Lookup List window is opened.

  6. Fill in the fields. For Help about a specific field, click the field and press F1.

  7. Click Lookup, Conditions. The EP WP Lookup Field Conditions window is opened. Fill in the fields.

  8. Click Lookup, Field Mappings. The EP WP Lookup Field Mapping window is opened. Define the target and source fields.

Related Topics

Multilanguage in Employee Portal

Adding Fields to Web Parts

Web Part Requests


Defining Search Configurations

When your Employee Portal users are working on their portal page, they might have a need to search for different kinds of records in Microsoft Dynamics NAV. You can define search configurations for tables to make them available for the users to search in. A search configuration defines what fields the user can search on and what fields will be shown in the search result.

To Add a Table to the List of Tables to Search In

  1. Open the [image] EP Search Configuration window.

  2. Press F3 to add a new search configuration.

  3. Fill in the fields. For Help about a specific field, click the field and press F1.

  4. Click Configuration, Search Fields, the EP Search Field List window appears.

  5. Define the fields you want your users to be able to search on in the selected table. Close the window.

  6. Click Configuration, Display Fields, the EP Search Display Field List window appears.

  7. Define the fields you want to include in the search result. Close the window.

Repeat the above steps for each table that you want your users to be able to search in.

After you have defined your search configurations they will be available for configuration of Search Web Parts.

Related Topics

Assigning Search Configurations to Users


Assigning Search Configurations to Users

Once you have defined the search configuration for a table, you can assign the search configuration to the user.

To Assign a User to a Search

  1. Open the [image] EP Users window.

  2. Select the user to whom you want to assign a search configuration.

  3. Click User, Search Configuration. The EP Search Configuration window appears.

  4. Press F3 to add a new search configuration.

  5. In the Table No. field, click the AssistButton. The Search Table List window appears.

  6. Select the table that you want the user to be able to search in.

  7. Fill in the rest of the fields. For Help about a specific field, click the field and press F1.

Related Topics

Defining Search Configurations

Creating Employee Portal Groups

Users and User Groups


Running Reports from Web Parts

You can run your Microsoft Dynamics NAV reports from your Web Parts by defining an action for this purpose.

Actions for showing reports can be defined for card, list and header + line Web Parts.

But before you can define an action to run a report you have to make sure that the report is declared in code unit 6828 EP Report Mgt. You can read more about this in the Installation & System Management: Microsoft Dynamics NAV Employee Portal.

Furthermore, before you define an action you must make sure that the following tasks are completed for the Web Part Request that you want to create an action for:

Preconditions

  • Creating Web Part Request Templates

  • Creating Employee Portal Groups

  • Creating Web Part Requests

  • Defining Tabs

  • Adding Fields to Web Parts

You can get an overview of all the tasks you need to complete to create a Web Part here: Creating Web Parts for Employee Portal.

To Create an Action for Running a Report

  1. Open the EP Web Part Request Card window.

  2. Select the Web Part Request you want to define an action for.

  3. Select the relevant table.

  4. Click Table, Card. The Table window opens.

  5. Click Table, Actions. The EP WP Table Action List window opens. Click F3 to create a new line.

  6. In the Type field select Show Report and in the Target field select Current. In the Report ID field enter the ID of the report you want to make available from your Web Part. Fill in the remaining fields. For Help about a specific field, click the field and press F1.

Images in Actions

When you create you actions for card Web Part, you can align with the SharePoint style by defining an image for the action. For this you can use the images available in SharePoint to point to and use in you Web Parts.

Related Topics

Defining Captions for Actions

Creating Actions


Multilanguage in Employee Portal

As the rest of Microsoft Dynamics NAV, Employee Portal is multilanguage enabled. This means that a localized version of Microsoft Dynamics NAV can present itself in different languages in your Web Parts.

The multilanguage features make it possible for you to offer the texts displayed by the application in captions for text boxes in several languages. But it is also possible for you to define multilanguage for the captions you define for command buttons, in menus, and so on..

Changing the texts that are stored as application data is not part of the multilanguage capability. This is an application design issue. Examples of such texts are the names of items in the inventory or the comments for a customer. These types of text are not translated.

In Employee Portal you can set up multilanguage definition for the following elements:

  • Groups

  • Web Part Requests

  • Tabs

  • Actions

  • EP Setup

If you are designing a Web Part that will be used in different languages by different users, you must give the element a definition in each language.

When you open the EP Group Caption List window, the Caption ID field contains the number that has been assigned to the multilanguage definition by the program. The Language ID field contains the code for the language you use on your computer and the Caption field contains the value that will be shown in your Web Part.

To Add Multilanguage to a Caption

  1. Open the Caption List of the element you want to add multilanguage caption to. For example, [image] EP Group Captions window.

  2. Click Caption, Create New Language for Current Line. The EP Language List window appears.

  3. Select the new language for which you want to make a caption. Click OK.

  4. In the caption line you just created, enter the new caption in the Caption field. Close the window.

Defining a Language

The choice of language for a user can be configured at user or group level. If you define a language in the Language ID field in the EP User table, the Web Parts will be shown in the defined language. If you only define a language in the Language ID field in the Employee Portal Group table, this is the language in which the Web Parts will be shown.

If you leave the Language ID field in the Employee Portal Group table as well as the Language ID field in the EP User table empty, the Web Parts will be shown in the default language of your Microsoft Dynamics NAV Application Server.

You can only select the languages for which you have licenses.